#ifndef MBRPARSER_H
#define MBRPARSER_H

#include <stdio.h>
#include <vector>
#include "Partition.h"
#include "filesystem/Directory.h"

using std::vector;

class MBRParser
{
public:
  MBRParser(FILE* rawDisk, unsigned long long offset);
  ~MBRParser();

  vector<Directory*> getRoots();
private:
  vector<Partition*> partitions;  
};

#endif

