#ifndef ACLPERMISSIONS_H
#define ACLPERMISSIONS_H

#include "AuthenticatableEntity.h"
#include "FilePermissions.h"
#include <utility>
#include <vector>

using std::pair;
using std::vector;

class ACLPermissions : public FilePermissions {
public:
  UserRights getRights(User* u);

private:
  vector<pair<AuthenticatableEntity, UserRights> > rights;
  UserRights defaultRights;
};

#endif

