#ifndef GROUP_H
#define GROUP_H

#include "User.h"
#include "AuthenticatableEntity.h"
#include <vector>

using std::vector;

class Group : public AuthenticatableEntity {
  virtual void addUser(User* u);
  virtual vector<User*> getUsers();

private:
  vector<User*> users;
};

#endif
