#include "Node.h"
#include <stdlib.h>
#include <string.h>

Node::Node(const char* name, Node* parent) {
    cname = (char*)malloc(strlen(name) + 1);
	strcpy(cname, name);
	
	this->parent = parent;
}

Node::~Node() {
	free(cname);
}

Directory* Node::asDirectory() {
	return NULL;
}

File* Node::asFile() {
	return NULL;
}

Symlink* Node::asSymlink() {
  return NULL;
}

char* Node::getName() {
	return cname;
}

vector<Fork*> Node::getForks() {
  return forks;
}

Fork* Node::getFork(const char* name) {
  // TODO: implement
  return NULL;
}

void Node::addFork(Fork* fork) {
  forks.push_back(fork);
}

void Node::setTimestamp(Timestamp* timestamp) {
  this->timestamp = timestamp;
}

Timestamp* Node::getTimestamp() {
  return timestamp;
}

void Node::setPermissions(FilePermissions* permissions) {
  this->permissions = permissions;
}

FilePermissions* Node::getPermissions() {
  return permissions;
}

