#ifndef POSIXPERMISSIONS_H
#define POSIXPERMISSIONS_H

#include "Group.h"
#include "User.h"
#include "FilePermissions.h"

class POSIXPermissions : public FilePermissions {
public:
  UserRights getRights(User* u);

private:
  Group* group;
  User* user;
  UserRights groupRights;
  UserRights userRights;
  UserRights others;
};

#endif

