#include "common.h"

unsigned long long get_bytes(unsigned char* orig, int num) {
  int bitShift = 0;
  unsigned long long value = 0;
  for(int i = 0; i < num; i++) {
    value += (orig[i] << bitShift);
    bitShift += 8;
  }

  return value;
}

unsigned long long get_longlong(unsigned char* orig) {
  return get_bytes(orig, 8);
}

unsigned long long get_6bytes(unsigned char* orig) {
  return get_bytes(orig, 6);
}

int get_dword(unsigned char* orig) {
  return get_bytes(orig, 4);
}

int get_word(unsigned char* orig) {
  return get_bytes(orig, 2);
}

