#ifndef DIRECTORY_H
#define DIRECTORY_H

#include "File.h"
#include "Node.h"
#include <vector>

using std::vector;

class Directory : public Node {
public:
  Directory(const char* dirname, Node* parent);
	~Directory();
  
  void print();
  void addNode(Node* node);
  Directory* asDirectory();

  vector<Node*> getChildren();
  vector<Directory*> getDirectories();
  vector<File*> getFiles();
private:
  vector<Node*> children;
};

#endif
