#include "Symlink.h"
#include <stdio.h>
#include <stdlib.h>

Symlink::Symlink(const char* filename, Node* parent, File* file) : Node(filename, parent) {
  this->file = file;
}

Symlink* Symlink::asSymlink() {
  return this;
}

void Symlink::print() {
  if(parent != NULL) {
    parent->print();
  }
  printf("%s -> ", cname);
  file->print();
}

