#include "Data.h"
#include <stdio.h>
#include <stdlib.h>

NTFSData::NTFSData(unsigned long long max) {
  maxLength = max;
  length = 0;
	if(max == 0) {
		data = NULL;
	}
	else {
		data = (unsigned char*)malloc(max);
	}
}

NTFSData::NTFSData() {
	maxLength = 0;
	data = NULL;
}

NTFSData::~NTFSData() {
}

unsigned long long NTFSData::getLength() {
  return length;
}

unsigned char* NTFSData::getData() {
  return data;
}

void NTFSData::append(unsigned char* newData, unsigned long long len) {
  while(len--) {
    data[length++] = *newData++;
  }
}

