#include "DataAttribute.h"
#include <stdio.h>

#include	<vector>

using std::vector;

NTFSDataAttribute::NTFSDataAttribute(DeviceInformation* device, byte* offset, int mftRecordOffset)
    : NTFSAttribute(device, offset, mftRecordOffset) {
}

void NTFSDataAttribute::print() {
  printf("Data:\t");

  vector<NTFSDataRun*> runs = getDataRuns();
  for(unsigned int i = 0; i < runs.size(); i++) {
    runs[i]->print();
  }
}
