#ifndef FILENAMEATTRIBUTE_H
#define FILENAMEATTRIBUTE_H

#include "Attribute.h"

class NTFSFilenameAttribute : public NTFSAttribute
{
public:
    NTFSFilenameAttribute(DeviceInformation* device, byte* offset, int mftRecordOffset);
    ~NTFSFilenameAttribute();
    
    void print();    
    int length();
    const char* getRawFilename();
private:
    char* filename;
};

#endif

