#ifndef INDEXALLOCATIONATTRIBUTE_H
#define INDEXALLOCATIONATTRIBUTE_H

#include "Attribute.h"
#include "IndexEntry.h"
#include <vector>

using std::vector;

class NTFSIndexAllocationAttribute : public NTFSAttribute
{
public:
  NTFSIndexAllocationAttribute(DeviceInformation* device, byte* offset, int mftRecordOffset);
    
  vector<IndexEntry> getEntries();
  void print();    
private:
	int flags;
  vector<IndexEntry> entries;
};

#endif

