#ifndef INDEXROOTATTRIBUTE_H
#define INDEXROOTATTRIBUTE_H

#include "Attribute.h"
#include "IndexEntry.h"
#include <vector>

using std::vector;

class NTFSIndexRootAttribute : public NTFSAttribute
{
public:
    NTFSIndexRootAttribute(DeviceInformation* device, byte* offset, int mftRecordOffset);
    
    vector<IndexEntry> getEntries();
    void print(); 
private:
    int flags;
    //int offsetToFirstIndexEntry;
    vector<IndexEntry> entries;
};

#endif

